# Generated by Django 4.0.3 on 2022-06-19 21:45

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('carts', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Order',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False)),
                ('modified', models.DateTimeField(default=django.utils.timezone.now, editable=False)),
                ('delivery_date', models.DateTimeField()),
                ('order_type', models.PositiveIntegerField(choices=[(0, 'Pick up'), (1, 'Delivery')], default=0)),
                ('status', models.PositiveIntegerField(choices=[(0, 'Processing'), (1, 'Delivered'), (2, 'Cancelled')], default=0)),
                ('details', models.TextField(blank=True, null=True)),
                ('cart', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='carts.cart')),
            ],
            options={
                'verbose_name': 'Order',
                'verbose_name_plural': 'Orders',
            },
        ),
    ]
